# GetLoadingProgressParam.Builder

Package io.milvus.param.collection

## Class GetLoadingProgressParam.Builder

- java.lang.Object
- - io.milvus.param.collection.GetLoadingProgressParam.Builder

Enclosing class:
  GetLoadingProgressParam

    public static final class GetLoadingProgressParam.Builder
    extends java.lang.Object

Builder for `GetLoadingProgressParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetLoadingProgressParam.Builder` `addPartitionName​(@NonNull java.lang.String partitionName)` Adds a partition by name.
`GetLoadingProgressParam` `build()` Verifies parameters and creates a new `GetLoadingProgressParam` instance.
`GetLoadingProgressParam.Builder` `withCollectionName​(@NonNull java.lang.String collectionName)` Sets the collection name.
`GetLoadingProgressParam.Builder` `withPartitionNames​(@NonNull java.util.List<java.lang.String> partitionNames)` Sets partition names list(Optional).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public GetLoadingProgressParam.Builder withCollectionName​(@NonNull
                                                              @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withPartitionNames

    public GetLoadingProgressParam.Builder withPartitionNames​(@NonNull
                                                              @NonNull java.util.List<java.lang.String> partitionNames)

Sets partition names list(Optional).

Parameters:
  `partitionNames` - partition names list
Returns:
  `Builder`

#### addPartitionName

    public GetLoadingProgressParam.Builder addPartitionName​(@NonNull
                                                            @NonNull java.lang.String partitionName)

Adds a partition by name. Partition name cannot be empty or null.

Parameters:
  `partitionName` - partition name
Returns:
  `Builder`

#### build

    public GetLoadingProgressParam build()
                                  throws ParamException

Verifies parameters and creates a new `GetLoadingProgressParam` instance.

Returns:
  `GetLoadingProgressParam`
Throws:
  `ParamException`